import { SyncFunctionValidator } from '../Schema';
export declare function Equals<T>(equalsTo: T, errorMsg?: string): SyncFunctionValidator<T>;
export declare function GreaterThan<T>(value: T, errorMsg?: string): SyncFunctionValidator<T>;
export declare function GreaterThanEqual<T>(value: T, errorMsg?: string): SyncFunctionValidator<T>;
export declare function LessThan<T>(value: T, errorMsg?: string): SyncFunctionValidator<T>;
export declare function LessThanEqual<T>(value: T, errorMsg?: string): SyncFunctionValidator<T>;
export declare function ValueBetween<T>(minValue: T, maxValue: T, errorMsg?: string): SyncFunctionValidator<T>;
