import { SchemaValidator } from '../Schema';
import { Input } from '../Type';
export declare function Maybe<T>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T>?]>;
export declare function Optional<T>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T>?]>;
export declare function Or<A, B>(a: A, b: B, errorMsg?: string): SchemaValidator<A | B, [Input<A> | Input<B>]>;
