import { SyncFunctionValidator } from '../Schema';
interface NumericLength {
    length: number;
}
export declare const NonEmptyString: SyncFunctionValidator<string>;
export declare function MinLength<T extends NumericLength>(limit: number, errorMsg?: string): SyncFunctionValidator<T>;
export declare function MaxLength<T extends NumericLength>(limit: number, errorMsg?: string): SyncFunctionValidator<T>;
export declare function StringRange<T extends NumericLength>(minLength: number, maxLength: number, errorMsg?: string): SyncFunctionValidator<T>;
export {};
